%define dict_format_version	2.4.2

Summary:	JMDICT (Japanese -> English dictionary) converted to StarDict 2
Name:		stardict-jmdict-ja-en
Version:	2.4.2
Release:	%mkrel 14
License:	General Dictionary Licence
Group:		Office/Dictionary
URL:		http://stardict.sourceforge.net/
BuildArch:	noarch

Source0:	http://prdownloads.sourceforge.net/stardict/%{name}-%{version}.tar.bz2
Source1:	general-dictionary-licence.html.bz2

Provides:	stardict-dictionary = %{dict_format_version}
Requires:	stardict >= %{dict_format_version}

%description
The JMdict (Japanese-Multilingual Dictionary) project began in 1999 as an
offshoot of the EDICT Japanese-English Electronic Dictionary project. It
involved a major rebuild of the main files, with a more complex structure
using XML.
This package contains JMDICT database (Japanese -> English) converted
into StarDict 2 format.

Please refer to http://www.csse.monash.edu.au/~jwb/j_jmdict.html
for more info.

%prep
%setup -q
bzip2 -dc %SOURCE1 > general-dictionary-licence.html

%build

%install
mkdir -p %{buildroot}%{_datadir}/stardict/dic
install -m 0644 * %{buildroot}%{_datadir}/stardict/dic

%files
%doc general-dictionary-licence.html
%{_datadir}/stardict/dic/*





%changelog
* Wed Feb 03 2016 umeabot <umeabot> 2.4.2-14.mga6
+ Revision: 933632
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.2-13.mga5
+ Revision: 750360
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.2-12.mga5
+ Revision: 689396
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4.2-11.mga4
+ Revision: 518698
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.4.2-10.mga3
+ Revision: 382851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 malo <malo> 2.4.2-9.mga3
+ Revision: 299444
- Fix RPM group

* Tue Feb 22 2011 grenoya <grenoya> 2.4.2-5.mga1
+ Revision: 56763
- imported package stardict-jmdict-ja-en


* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.4.2-5mdv2009.0
+ Revision: 242736
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.4.2-3mdv2008.0
+ Revision: 67663
- use %%mkrel


* Sat Oct 01 2005 Abel Cheung <deaddog@mandriva.org> 2.4.2-3mdk
- first Mandriva package

